How to migrate from Swift 3.x to 4 in XCode 10.2.1

I have an app that was written in Swift 3.x, and when I open this app in XCode 10.2.1 I get a prompt stating “This version of XCode does not support building or migrating Swift 3.x targets.  Use Xcode 10.1 to migrate the code to Swift 4.x”

 

Odd that the migration utils were not carried forward…but assuming I must use 10.1…where can this older version be downloaded?

 

thx

Powered by WPeMatico

About

You may also like...

Comments are closed.